News

Jun 7, 2018

End of Support for Older Devices

Due to technical reasons beyond our control, in our June update, we are unfortunately forced to end support for:

  • Apple devices running on iOS 8 and below
  • Android devices running on Android 4.0.4 and below

If your device is currently running on these versions, or below, you will no longer be able to play Clash Royale unless you update to a newer iOS or Android version.

  • Instructions on how to update your iOS version can be found through the Apple Support website
  • Instructions on how to update your Android version can be found through Google Help or your Android device manufacturer's website

For more information on how to link your account to a Supercell ID and transfer your game to a new device, please check our FAQs.

See you in the Arena,
The Clash Royale Team